MATERIALEMISSION(3CgFX)

NAME
MaterialEmission - 3D API material emission

USAGE
MaterialEmission = float4(r, g, b, a)

VALID ENUMERANTS
r, g, b, a: floating point values

DESCRIPTION
Specify the materials emmisive light intensity. See the GL_EMISSION description on the OpenGL glMaterial manual page for details. See the D3DRS_EMISSIVEMATERIALSOURCE render state description for DirectX 9.

The standard reset callback sets the MaterialEmission state to float4(0, 0, 0, 1).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource